# Uses of Class
org.eclipse.zest.core.widgets.GraphConnection

Packages that use GraphConnection
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of GraphConnection in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers that return GraphConnection
Modifier and Type
Method
Description
`GraphConnection`
AbstractStructuredGraphViewer.`addGraphModelConnection(Object element, GraphNode source, GraphNode target)`
`protected GraphConnection`
AbstractStructuredGraphViewer.`createConnectionObject(Graph graphModel, GraphNode source, GraphNode destination)`
Implement and return the new connection object, enables to define custom graph connections
`protected GraphConnection[]`
AbstractStructuredGraphViewer.`getConnectionsArray(Graph graph)`
Converts the list of GraphModelConnection objects into an array and returns it.
`GraphConnection`
AbstractStructuredGraphViewer.`getGraphModelConnection(Object obj)`
Methods in org.eclipse.zest.core.viewers with parameters of type GraphConnection
Modifier and Type
Method
Description
`void`
ISelfStyleProvider.`selfStyleConnection(Object element, GraphConnection connection)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of GraphConnection in org.eclipse.zest.core.widgets

Fields in org.eclipse.zest.core.widgets with type parameters of type GraphConnection
Modifier and Type
Field
Description
`protected List<GraphConnection>`
Graph.`connections`
Methods in org.eclipse.zest.core.widgets that return types with arguments of type GraphConnection
Modifier and Type
Method
Description
`List<? extends GraphConnection>`
Graph.`getConnections()`
Gets the list of GraphModelConnection objects.
`List<GraphConnection>`
GraphContainer.`getConnections()`
`List<? extends GraphConnection>`
IContainer2.`getConnections()`
Returns list of connections laying inside this container.
`List<? extends GraphConnection>`
GraphNode.`getSourceConnections()`
Returns a new list of the source connections (GraphModelConnection objects).
`List<? extends GraphConnection>`
GraphNode.`getTargetConnections()`
Returns a new list of the target connections (GraphModelConnection objects).